package com.zoniot.ccrc.dao;

import com.zoniot.ccrc.entity.SitePermission;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SitePermissionMapper {
    int insertSelective(SitePermission record);

    int updateByPrimaryKeySelective(SitePermission record);

    int batchInsert(@Param("list") List<SitePermission> list);

    int delBySiteId(@Param("siteId") Integer siteId, @Param("username") String username);

    List<Integer> findBySiteId(@Param("siteId") Integer siteId);
}