package com.zoniot.ccrc.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@ApiModel(value="com.bz.smart_city.entity.ProgramItem")
@Data
public class ProgramItem implements Serializable {

    private static final long serialVersionUID = 3770821337946751269L;

    @ApiModelProperty(value="主键")
    private Integer id;

    @ApiModelProperty(value="数据项id")
    private Integer programId;

    @ApiModelProperty(value="维度id")
    private Integer dimensionId;

    @ApiModelProperty(value="维度编码")
    private String dimensionCode;

    @ApiModelProperty(value="维度值")
    private String dimensionValue;

    @ApiModelProperty(value="备注")
    private String remark;

    @ApiModelProperty(value="状态")
    private Integer status;

    @ApiModelProperty(value="创建时间")
    private LocalDateTime dateCreate;

    @ApiModelProperty(value="更新时间")
    private LocalDateTime dateUpdate;

    @ApiModelProperty(value="创建人")
    private String createBy;

    @ApiModelProperty(value="更新人")
    private String updateBy;
}