package com.zoniot.ccrc.dto;

import com.zoniot.ccrc.entity.Building;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper=false)
public class BuildingDto extends Building {

    @ApiModelProperty(value = "设备数", position = 8)
    private Integer deviceCount = 0;

    @ApiModelProperty(value = "联网单位", position = 100)
    private String accessUnitName;

    @ApiModelProperty(value = "省", position = 101)
    private String provinceName;

    @ApiModelProperty(value = "市", position = 102)
    private String cityName;

    @ApiModelProperty(value = "区", position = 103)
    private String regionName;

    @ApiModelProperty(value = "小区", position = 54)
    private String communityName;


}
