package com.zoniot.ccrc.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
* Created by Mybatis Generator 2019/01/17
*/
@ApiModel(value="com.bz.smart_city.entity.TplMeasuringDataDef")
@Data
public class TplMeasuringDataDef {

    @ApiModelProperty(value="测点描述")
    private Integer measuringDesc;

    @ApiModelProperty(value="数据值")
    private String dataValue;

    @ApiModelProperty(value="数据名称")
    private String dataName;

    @ApiModelProperty(value="数据描述")
    private String dataDesc;

    @JsonIgnore
    @ApiModelProperty(value="状态")
    private Integer status;

    @JsonIgnore
    @ApiModelProperty(value="创建人")
    private String createBy;

    @JsonIgnore
    @ApiModelProperty(value="更新人")
    private String updateBy;

    @JsonIgnore
    @ApiModelProperty(value="创建时间")
    private LocalDateTime dateCreate;

    @JsonIgnore
    @ApiModelProperty(value="更新时间")
    private LocalDateTime dateUpdate;
}