package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@ApiModel(value="com.bz.smart_city.entity.Message")
@Data
public class Message {
    @ApiModelProperty(value="null")
    private Integer id;

    @ApiModelProperty(value="站点id")
    private Integer siteId;

    @ApiModelProperty(value="用户id")
    private Integer userId;

    @ApiModelProperty(value="消息类型")
    private Integer messageType;

    @ApiModelProperty(value="消息标题")
    private String messageTitle;

    @ApiModelProperty(value="消息内容")
    private String messageContent;

    @ApiModelProperty(value="消息url")
    private String messageUrl;

    @ApiModelProperty(value="对象id")
    private Integer objId;

    @ApiModelProperty(value="是否已读")
    private Integer read;

    @ApiModelProperty(value="null")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="null")
    private LocalDateTime dateCreate;

    @ApiModelProperty(value="null")
    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="null")
    private LocalDateTime dateUpdate;

    @ApiModelProperty(value="null")
    private String updateBy;
}