package com.zoniot.ccrc.service;

import com.zoniot.ccrc.dto.PriceInfo;
import com.zoniot.ccrc.dto.UseWaterAnalyze;
import com.zoniot.ccrc.dto.UseWaterDto;
import com.zoniot.ccrc.dto.WaterPriceDto;

import java.util.List;

public interface StatisticsService {
    List<UseWaterDto> getRealTimeUseWater(Integer period);

    UseWaterAnalyze getThirtyDaysUseWater();

    UseWaterAnalyze getUseWaterAnalyze();



    Double getDeviceVolume(Integer startDate, Integer endDate);
    Long getDeviceId();

    PriceInfo waterPriceQuery();

}
